Filenames in release CoCoAManual/html containing [obsolete]
Status: New Start date: 04 May 2020
Priority: Normal Due date:

Assignee: Anna Maria Bigatti % Done: 0%
Category: Manual/documentation Estimated time: 0.00 hour
Target version: CoCoA-5.4.2 Spent time: 0.40 hour
Description

Currently files in CoCoAManual/html/ corresponding to obsolete/obsolescent commands have names containing square brackets.

Do we want to change the file names so that they do not contain "funny" chars?

Related issues:
Related to CoCoA-5 - Support #1507: wordlist without OBSOLETE entries? Closed 09 Oct 2020

History

#1 - 04 May 2020 16:17 - John Abbott
An example is cmdCast[OBSOLETE].html

On my linux box names with square brackets are printed out (by Is) inside single quotes to avoid the square brackets having some strange
interpretation.

Might it be better to use a name such as cmdCast-OBSOLETE.html?

| note that the square brackets are allowed inside URIs (so the browser should accept them). A shell may do something odd...

#2 - 07 May 2020 12:11 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

John Abbott wrote:

An example is cmdCast[OBSOLETE].html
Might it be better to use a name such as cmdCast-OBSOLETE.html?

OK, I'll find out how to do this in practice

#3 - 29 Oct 2020 16:50 - Anna Maria Bigatti
- Related to Support #1507: wordlist without OBSOLETE entries? added

#4 - 03 Feb 2022 20:17 - John Abbott
- Target version changed from CoC0A-5.4.0 to CoCoA-5.4.2
